Subject: Re: [ippm] Impact of hosts on network capacity and RFC 5136

From: "Chimento, Philip F." <[email-masked]>
Date: Thu, 31 Mar 2011 09:58:21 -0400

Andreas: 
We believe that the definition of capacity for "network section" in Y.1540
is the equivalent (roughly) of how we define it for "link" in RFC 5136. As
Joseph has pointed out, we define "link" as a "path" of length 1. I do not
believe that there is a fundamental conflict between the RFC 5136 and the
Y.1540 definitions.

Regards, 
Phil Chimento

JHU/APL
240-228-1743
443-778-1743
[email-masked]
--

---

From: Xiangsong Cui <[email-masked]>
Date: Thu, 31 Mar 2011 22:13:35 +0800

The difference is, Y.1540 clearly specifies,

"Link: A point-to-point (physical or virtual) connection used for transporting IP packets between a pair of hosts. *It does not include any parts of the hosts* or any other hosts; it operates below the IP layer."

Isn't that a difference?

Best Regards
Xiangsong

----- 原邮件 -----
发件人: "Chimento, Philip F." <[email-masked]>
日期: 星期四, 三月 31日, 2011 下午10:00
主题: Re: [ippm] Impact of hosts on network capacity and RFC 5136
收件人: IETF IPPM WG <[email-masked]>

> _______________________________________________
> ippm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ippm
>

---

From: "Chimento, Philip F." <[email-masked]>
Date: Thu, 31 Mar 2011 10:16:55 -0400

I was not comparing our definition of "link" to Y.1540's definition of
"link". I was comparing our definition of "link" to Y.1540's definition of
"network section" specifically as it related to their definition of section
capacity. 

Regards, 
Phil Chimento

On 3/31/11 10:13 AM, "Xiangsong Cui" <[email-masked]> wrote:

> "Link: A point-to-point (physical or virtual) connection used for transporting
> IP packets between a pair of hosts. *It does not include any parts of the
> hosts* or any other hosts; it operates below the IP layer."
> 
> Isn't that a difference?
> 
> Best Regards
> Xiangsong
> 
> ----- 原邮件 -----

---

From: Xiangsong Cui <[email-masked]>
Date: Thu, 31 Mar 2011 22:24:27 +0800

So the problem is, when I am talking about "link capacity", somebody would jump and ask me whose link I am speaking, IETF&ITU-T's link (per RFC2330, RFC2460 and ITU-T Y.1540, they are all the same) or IPPM's link (per RFC5136)? 

Best Regards
Xiangsong

---

From: Joseph Ishac <[email-masked]>
Date: Thu, 31 Mar 2011 10:40:31 -0400

Xiangsong,

That link definition doesn't directly apply to the capacity metrics in
section 6.11.2.  As Phil notes refer to the concept of "sections".
The definitions in 6.11.2 of Y.1540 are identical to RFC 5136 sans for
things like IP-Type-P.

-Joseph

2011/3/31 Xiangsong Cui <[email-masked]>

---

From: Joseph Ishac <[email-masked]>
Date: Thu, 31 Mar 2011 11:32:34 -0400

Xiangsong,

I believe it is extremely undue to extrapolate an entire definition
from a single word.  Link Capacity is not defined in RFC 2330 or RFC
2460.  Simply because link is defined, does not mean "Link Capacity"
is a straightforward extension.

Furthermore, RFC 5136 does not 'embed' nodes into a link, changing
it's definition, but rather states that the nodes directly attached to
the link can impact capacity among other factors.  It's part of what
makes "Link Capacity" a complex concept.  I believe the definitions in
RFC 5136 do an excellent job at capturing that and are supported by
the definitions in Y.1540 which are equivalent.

-Joseph